foldermodel: store information about screen used
ClosedPublic

Authored by McPain on Feb 13 2019, 12:12 PM.

Details

Summary

BUG: 401464

According to FolderModel::filterAcceptsRow code, it is possible that folderview is used by containment but not associated with a screen.
In case of m_screen == -1 there was no information about which items we should filter out.

Instead, we do not change m_screen to -1 and we can filter out items that does not belong to our screen.
m_screenUsed shows whether folderview is associated with a screen or not

Diff Detail

Repository
R119 Plasma Desktop
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
McPain created this revision.Feb 13 2019, 12:12 PM
Restricted Application added a project: Plasma. · View Herald TranscriptFeb 13 2019, 12:12 PM
Restricted Application added a subscriber: plasma-devel. · View Herald Transcript
McPain requested review of this revision.Feb 13 2019, 12:12 PM
McPain planned changes to this revision.Feb 13 2019, 12:20 PM
McPain requested review of this revision.Feb 13 2019, 12:52 PM

Seems like I can't use distinct screen mapping for each activity yet

cfeck added a subscriber: cfeck.Mar 9 2019, 3:42 PM

Could a Plasma developer please review?

ngraham edited reviewers, added: Plasma; removed: sebas.Mar 9 2019, 4:33 PM
hein added a comment.Mar 10 2019, 7:25 AM

Can you explain more what this is trying to achieve / what it solves with an example?

McPain added a comment.Mon, Apr 1, 2:28 PM
In D18979#428230, @hein wrote:

Can you explain more what this is trying to achieve / what it solves with an example?

https://bugsfiles.kde.org/attachment.cgi?id=117630

hein accepted this revision.Mon, Apr 1, 7:29 PM

Thanks! Do you need help landing this?

This revision is now accepted and ready to land.Mon, Apr 1, 7:29 PM
McPain added a comment.Tue, Apr 2, 7:49 AM
In D18979#441799, @hein wrote:

Thanks! Do you need help landing this?

Any instructions about "how to commit an accepted revision?"

hein added a comment.Tue, Apr 2, 9:45 AM

I checked the database and it looks like you don't have a developer account yet, so I'll land this patch for you. If you keep submitting patches, feel free to apply for a developer account via identity.kde.org at some point :)

This revision was automatically updated to reflect the committed changes.